<!DOCTYPE html>
<html lang="en">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
<style>
    body{
        margin-top: 35px;
        width: 100%;
        height: 100%;
        background-color: #f9f9f9;
        text-align: center;
        justify-content: center;
    }
    img {
        width: 200px;
        height: 180px;
        padding: 2vw;
    }

    input[type=radio] {
        display: none;
    }

    img:hover {
        opacity: 0.6;
        cursor: pointer;
    }

    img:active {
        opacity: 0.4;
        cursor: pointer;
    }

    input[type=radio]:checked+label>img {
        border: 10px solid rgb(228, 207, 94);
    }

    table,
    th,
    td {
        text-align: center;
        border: 1px solid black;
        border-collapse: collapse;
        width: 500px;
        height: 50px;
    }

    button.btn.btn-primary {
        float: right;
        margin-right: 47px;
    }
    .backBtn{
        margin-bottom: 50px;
        padding-right: 90%;
    }
    .backCredit{
        color: rgb(80, 73, 73); 
        text-decoration: none;
     }
    .backCredit:hover{
        color: rgb(200, 208, 233);
    }
    .backCredit:active{
        font-size: 100%;
    }
    .button{
        border-radius: 15px;
    }
    .button:hover{
        color: #000000
    }
    .button:active {
        background-color: #5673d1;
        box-shadow: 0 5px rgb(0, 0, 0);
        transform: translateY(4px);
    }
    .tableCard{
        width: 70%;
        margin-left: 15%;
    }
</style>

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Phone card</title>
</head>

<body>
    <div class="backBtn">
        <a href="/" class="backCredit">
            <i class="backCredit fa fa-chevron-left" aria-hidden="true"></i>
        </a>
    </div> 
        <h1>Buy phone card</h1>
    <% if (locals.errorMessage) { %>
        <div class="alert alert-danger" id="alert">
          <%= errorMessage %>
        </div>
        <% } %>
    <form action="/buy-card" method="post">
        <div>
            <input type="radio" name="card" id="vietel" value="vietel"  />
            <label for="vietel">
                <img src="/img/vietel.png" />
            </label>

            <input type="radio" name="card" id="mobi" value="mobiphone"  />
            <label for="mobi">
                <img src="/img/mobi.png" />
            </label>
            <input type="radio" name="card" id="vina" value="vinaphone" />
            <label for="vina">
                <img src="/img/vina.png" />
            </label>
        </div>
        <table class="tableCard">
            <thead>
                <tr>

                    <th>Price</th>
                    <th>Service fee</th>
                    <th>Ammount</th>
                    

                </tr>
            </thead>
            <tbody>
                <tr>
                   
                    <td>10.000 VND</td>
                    <td>0 VND</td>
                    <td>
                        <input placeholder="1" type="number" name="ten" id="ten" >
                    </td>
                </tr>
                <tr>

                    <td>20.000 VND</td>
                    <td>0 VND</td>
                    <td>
                        <input placeholder="1" type="number" name="twenty" id="twenty">

                    </td>
                </tr>
                <tr>

                    <td>50.000 VND</td>
                    <td>0 VND</td>
                    <td>
                        <input placeholder="1" type="number" name="fity" id="fity">
                    </td>
                </tr>
                <tr>

                    <td>100.000VND</td>
                    <td>0 VND</td>
                    <td>
                        <input placeholder="1" type="number" name="onehun" id="onehun">
                    </td>
                </tr>
                <tr>
                    <td colspan="3">
                        <button type="submit" class="button btn-primary">Press to buy</button>
                    </td>
                </tr>
            </tbody>
        </table>
    </form> 

</body>
<script>
    $('#ten').keypress(function(evt) {
  if (evt.which === 48) {
    return false;
  }
});
$('#twenty').keypress(function(evt) {
  if (evt.which === 48) {
    return false;
  }
});
$('#fity').keypress(function(evt) {
  if (evt.which === 48) {
    return false;
  }
});
$('#onehun').keypress(function(evt) {
  if (evt.which === 48) {
    return false;
  }
});

   if (window.history.replaceState) {
            window.history.replaceState(null, null, window.location.href);
        }
    setTimeout(function() {
    $('#alert').fadeOut('fast');
}, 1000); 
</script>
</html>